<div class="card mb-3">
    <div class="card-header">
        <strong>
            <button class="btn btn-light btn-sm">
                <a href="{{ url_for('like_action', post_id=post.id, action='like') }}"><i class="fas fa-arrow-up"></i></a> 
            </button>
            {{ post.likes.count() }} 
            <button class="btn btn-light btn-sm">
                <a href="{{ url_for('like_action', post_id=post.id, action='unlike') }}"><i class="fas fa-arrow-down"></i></a>
            </button>
            
            </strong> <a href="{{ url_for('subreddit', subreddit=post.subreddit.subreddit_name)}}">r/{{ post.subreddit.subreddit_name }}</a> •<span class="text-muted" style="font-size: 10pt;"> Posted by <a href="{{ url_for('user', username=post.author.username) }}">u/{{ post.author.username }}</a>
                 {{moment(post.timestamp).fromNow()}} ago</span>
            
            {% if not current_user.is_anonymous and not current_user.is_following(post.subreddit) %}
            <button type="button" class="btn btn-primary" style="font-size: 10pt;"><a href="{{ url_for('follow', subreddit=post.subreddit.subreddit_name) }}" style="text-decoration: none; color: white">+Join</a></button>
            {% endif %}
    
    </div>
    <div class="card-body">
        <h5 class="card-title">{{ post.title }}</h5>
        <p class="card-text">
            {{ post.body }}
        </p>
    </div>
    <div class="card-footer text-muted">
        <a href="{{ url_for('posts', post_id=post.id) }}" class="btn btn-light btn-sm"><i class="fas fa-comment"></i> {{ post.comments.count() }} Comments</a>
        <a href="" class="btn btn-light btn-sm"><i class="fas fa-share"></i> Share</a>
    </div>
</div>